#include "bnetfwd.hh"
#include "logger.hh"
#include "bnetproto.hh"
#include <iostream>
using namespace std;

//const uint32_t server_addr = 0xD4F4395B; /* netcraft: 212.244.57.91 */
const uint32_t server_addr = 0x0A030002; /* sun: 10.3.0.2 */

const uint32_t bind_addr = 0x0A030108; /* Ustro: 10.3.0.2 */
//const uint32_t bind_addr = 0xC21D806C;	/* COI: 194.29.128.108 */

#if 0
logger_stream file_logger("test.log");
std::ostream& logger = file_logger;
#else
std::ostream& logger = cerr;
#endif

int main()
{
	if (sizeof(struct _bnet_packet_head) != BNET_HEAD_LEN)
		abort();
	if (sizeof(struct _bnet_gameinfo_struct) != BNET_GAMEINFO_LEN)
		abort();

	bnet_forwarder me(socket_address(bind_addr, 6112), socket_address(server_addr, 6112));

	event::loop();
}
